data:extend({
--fonts!
  {
      type = "font",
      name = "tardis-small-font",
      from = "default",
      size = 10,
  },
  {
      type = "font",
      name = "tardis-medium-font",
      from = "default",
      size = 14,
  },
  {
      type = "font",
      name = "tardis-large-font",
      from = "default",
      size = 18,
  },

  {
      type = "font",
      name = "tardis-small-bold-font",
      from = "default-bold",
      size = 10,
  },
  {
      type = "font",
      name = "tardis-medium-bold-font",
      from = "default-bold",
      size = 14,
  },
  {
      type = "font",
      name = "tardis-large-font",
      from = "default-bold",
      size = 18,
  },

})

--styles!
local health_bar_style = {
    type="frame_style",
    font="tardis-small-font",
    parent="frame_style",
  }
local frame_style = {
    type="frame_style",
    font="tardis-medium-font",
    parent="frame_style",
    minimal_width=500,
  }

local button_style = {
    type="button_style",
    font="tardis-medium-font",
    parent="button_style",
    top_padding=2,
    bottom_padding=2,
    left_padding=4,
    right_padding=4,
  }

local tab_button_style = {
    type="button_style",
    font="tardis-medium-font",
    parent="button_style",
    top_padding=2,
    bottom_padding=2,
    left_padding=4,
    right_padding=4,
  }

local selected_tab_button_style = {
    type="label_style",
    font="tardis-medium-bold-font",
    parent="label_style",
    top_padding=2,
    bottom_padding=2,
    left_padding=4,
    right_padding=4,
  }

local list_label_style = {
  type="label_style",
  font="tardis-medium-font",
  parent="label_style",
  minimal_width=300,
}


data.raw["gui-style"].default["tardis_health_bar_style"] = health_bar_style
data.raw["gui-style"].default["tardis_frame_style"] = frame_style
data.raw["gui-style"].default["tardis_button_style"] = button_style
data.raw["gui-style"].default["tardis_tab_style"] = tab_button_style
data.raw["gui-style"].default["tardis_selected_tab_style"] = selected_tab_button_style
data.raw["gui-style"].default["tardis_list_label_style"] = list_label_style
