--guiutils

local myHandlers={}

local function createGuiElement(element_def,parent,handler)
  local element=parent.add(element_def)
  myHandlers[element]=handler
  return element
end

local function guiEventHandler(event)
  local handler=myHandlers[event.element]

  if handler then
    handler(event)
  end
end


game.on_event(defines.events.on_gui_click, guiEventHandler)
